/*
 * MIT License
 *
 * Copyright (c) 2022 Wasiq Bhamla
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 */

package com.github.wasiqb.boyka.enums;

/**
 * Element find wait strategy for Auto waiting for element to become intractable.
 *
 * @author Wasiq Bhamla
 * @since 05-Mar-2022
 */
public enum WaitStrategy {
    /**
     * Wait for element to become clickable.
     */
    CLICKABLE,
    /**
     * Wait for element to become visible.
     */
    VISIBLE
}